# Created by: Martin Flanagan (FLNMAR011)
# Project: PyPiGame
# Character Scaffold Class

class Character:
    def __init__(self):
        self.pastX = 40
        self.pastY = 40
        self.x = 40
        self.y = 40
        self.speed = 40


    #def __init__(self, x_v, y_v):
    #    self.pastX = x_v
    #    self.pastY = y_v
    #    self.x = x_v
    #    self.y = y_v

    def moveBack(self):
        #print("Reverting")
        self.x = self.pastX
        self.y = self.pastY

    def moveUp(self):
        #print("Up")
        self.pastX = self.x
        self.pastY = self.y
        self.y -= self.speed

    def moveDown(self):
        #print("Down")
        self.pastX = self.x
        self.pastY = self.y
        self.y += self.speed

    def moveRight(self):
        #print("Right")
        self.pastX = self.x
        self.pastY = self.y
        self.x += self.speed

    def moveLeft(self):
        #print("Left")
        self.pastX = self.x
        self.pastY = self.y
        self.x -= self.speed

    def same(self):
        #print("Checking...")
        if (self.x == self.pastX) and (self.y == self.pastY):
            return True
        return False
