# Created by: Martin Flanagan (FLNMAR011)
# Project: PyPiGame
# Maze Scaffold Class

class Maze:
    # Variable to control which maze is selected

    def __init__(self):
    ###
        # TODO: QUESTION 1.1, QUESTION 1.2
    ###
        self.M = 10                                     # Number of rows in the maze
        self.N = 10                                     # Number of columns in the maze
        self.maze = self.get_maze(self.maze_choice)     # Gets the maze
        self.win = False                                # Goal state achieved

    def get_maze(self, choice_number):
        #A switch or a If statement can be used here
        # Returns the map for the maze selected
        map = None
        if choice_number == 1:
            map = self.maze_One()
        elif choice_number == 2:
            map = self.maze_Two()
        elif choice_number == 3:
            map = self.maze_Three()
        elif choice_number == 4:
            map = self.maze_Four()
        return map

    # Mazes where m is the maze, 0 is an open space, 1 is a wall and 2 is the goal
    def maze_One(self):
        m = [
            1,1,1,1,1,1,1,1,1,1,
            1,0,0,1,0,0,0,0,0,1,
            1,0,0,1,0,0,0,0,0,1,
            1,0,0,1,0,0,1,0,0,1,
            1,0,0,1,0,0,1,0,0,1,
            1,0,0,1,0,0,1,0,0,1,
            1,0,0,1,0,0,1,0,0,1,
            1,0,0,0,0,0,1,0,0,1,
            1,0,0,0,0,0,1,2,2,1,
            1,1,1,1,1,1,1,1,1,1,
            ]
        return m

    def maze_Two(self):
        m = [
            1,1,1,1,1,1,1,1,1,1,
            1,0,0,1,0,0,0,0,0,1,
            1,0,0,1,0,0,0,0,0,1,
            1,0,0,1,0,0,1,0,0,1,
            1,0,0,1,0,0,1,0,0,1,
            1,0,0,1,2,2,1,0,0,1,
            1,0,0,1,1,1,1,0,0,1,
            1,0,0,0,0,0,0,0,0,1,
            1,0,0,0,0,0,0,0,0,1,
            1,1,1,1,1,1,1,1,1,1,
            ]
        return m

    def maze_Three(self):
        m = [
            1,1,1,1,1,1,1,1,1,1,
            1,0,0,0,0,0,0,0,0,1,
            1,0,0,0,0,0,0,0,0,1,
            1,1,1,1,1,1,1,0,0,1,
            1,2,2,1,0,0,0,0,0,1,
            1,0,0,1,0,0,0,0,0,1,
            1,0,0,1,0,0,1,0,0,1,
            1,0,0,0,0,0,1,0,0,1,
            1,0,0,0,0,0,1,0,0,1,
            1,1,1,1,1,1,1,1,1,1,
            ]
        return m

###
    def maze_Four(self):
        # TODO: QUESTION 1.2
        m = []
        return m
###

    def draw_maze(self, display, walls, goal):
        x_pos = 0
        y_pos = 0
        for i in range(0, self.M*self.N):
            if self.maze[x_pos + (y_pos*self.M)] == 1:
                # Draw a wall
                display.blit(walls, (x_pos*40, y_pos*40))
            elif self.maze[x_pos + (y_pos*self.M)] == 2:
                # Draw the goal
                display.blit(goal, (x_pos*40, y_pos*40))

            x_pos += 1
            if x_pos > self.M-1:
                x_pos = 0
                y_pos += 1

    def draw_win(self, display, win):
        # Display the win screen
        x_pos = 0
        y_pos = 0
        display.blit(win, (x_pos*400, y_pos*400))

###
    def check_boundaries(self, x, y):
        # Check if the player is not over the boundary
        # TODO: QUESTION 2.1
        return False
###

    def check_collisions(self, player):
        # Check if the player is touching any obstacle on the map
        x = player.x
        y = player.y
        #print(x, y)
        x_pos = 0
        y_pos = 0
        for i in range(0, self.M*self.N):
            if self.check_boundaries(x, y):
                return True
            if not(x_pos==0 or y_pos==0 or x_pos==9 or y_pos==9):
                if self.maze[x_pos + (y_pos*self.M)] == 1:
                # Player has hit a wall
                    if ((x_pos*40 < x < x_pos*40+40) or (x_pos*40 < x+39 < x_pos*40+40)) and ((y_pos*40 < y < y_pos*40+40) or (y_pos*40 < y+39 < y_pos*40+40)):
                        return True
            if self.maze[x_pos + (y_pos*self.M)] == 2:
                # Player has reached the Goal state
                if ((x_pos*40 < x < x_pos*40+40) or (x_pos*40 < x+39 < x_pos*40+40)) and ((y_pos*40 < y < y_pos*40+40) or (y_pos*40 < y+39 < y_pos*40+40)):
                    self.win = True
                    return True

            x_pos += 1
            if x_pos > self.M-1:
                x_pos = 0
                y_pos += 1
        return False

###
    def count_walls_for(self):
        # TODO: QUESTION 3.1
        map_Arr = self.get_maze(self.maze_choice)       # The array of the maze
        num_walls = 0

        print("The number of walls counted using the for loop is: ", num_walls)
###

###
    def count_walls_while(self):
        # TODO: QUESTION 3.2
        map_Arr = self.get_maze(self.maze_choice)       # The array of the maze
        num_walls = 0

        print("The number of walls counted using the while loop is: ", num_walls)
###

###
    def find_goal(self):
        # TODO: QUESTION 3.3
        map_Arr = self.get_maze(self.maze_choice)       # The array of the maze
        goal_position = 0

        print("The goal is at position: ", goal_position)
###
